[General]

# 0 - Show Advanced Run window
# 1 - Skip Advanced Run window 
AutoRun=1

#

# 1 - Run .EXE File
# 2 - ShellExecute - Open the specified file, folder or URL with the default program
# 3 - Command Prompt - Execute command or batch file of Windows Command Prompt (.BAT, .CMD)
# 4 - PowerShell Command - Execute the specified PowerShell command
# 5 - PowerShell Script File - Run the specified PowerShell script (.PS1)
RunMode=3

# open, edit, explore, print - only for RunMode 2
ShellExecuteAction=open

# Program to Run - only for RunMode 1. For RunMode 2, 3, 4, 5 use CommandLine
EXEFilename=

# Command-line arguments, file to ShellExecute, Command Prompt / PowerShell file to run or Command Prompt / PowerShell command string to execute
# For RunMode 3, DO NOTE that if your .BAT file ends with 'pause' or you add '& pause' at the end of CommandLine, CommandWindowMode 2 will have no effect - CMD window will show 'Press any key to continue . . .'
CommandLine=.\bat\generate_emu_config.exe_user.bat & pause

# Start Directory - make sure any paths in CommandLine are relative to the start directory
StartDirectory=.\

# AdvancedRun process will wait in the background until the process executed by AdvancedRun is terminated, 0 - disabled, 1 -enabled
WaitProcess=1

# Process Priority Class:
# 64 - low, 32 - normal, 128 - high, 256 - realtime, 16384 - below normal, 32768 - above normal
PriorityClass=32

# Command Window Mode - only for RunMode 3, 4, 5
# 1 - Leave window opened after executing commands (same as 'CMD /K'), 2 - Close window after executing commands (same as 'CMD /C') - only for RunMode 3, 4, 5
# For RunMode 3, DO NOTE that if your .BAT file ends with 'pause' or you add '& pause' at the end of CommandLine, CommandWindowMode 2 will have no effect - CMD window will show 'Press any key to continue . . .'
CommandWindowMode=2

# Main window state
# 0 - hidden, 1 - normal, 2 - minimized, 3 - maximized
WindowState=1

# Main window position
UseWindowPosition=0
WindowPosition=20,20

# Main window size
UseWindowSize=0
WindowSize=640,400

#

# 1 - Current User - Allow UAC Elevation
# 2 - Current User - Without UAC Elevation
# 3 - Administrator (Force UAC Elevation)
# 4 - SYSTEM User
# 5 - User of the selected process
# 6 - Child of the selected process (Using code injection)
# 7 - Specified username and password
# 8 - TrustedInstaller
# 9 - Another logged-in user
# 10 - Network Service
# 11 - Local Service
RunAs=1

# Selected process name - only for RunAs 5, 6
RunAsProcessName=

# Specified username - only for RunAs 7, 9 (password can't be set in this .CFG file, so it's better to run with /RunAsUserName "username" /RunAsPassword "password" parameters instead)
RunAsUserName=

# Specified domain - only for RunAs 7
RunAsDomain=

#

# Run on remote computer with temporary Windows service, 0 - disabled, 1 - enabled
RunFromService=0

# Remote computer name - only for RunFromService 1
ComputerName=

#

# Use search path to find the program location if the full path is not specified, 0 - disabled, 1 - enabled
UseSearchPath=0

# Parse the environment variables inside the command-line string before passing it to the program
ParseVarCommandLine=0

#

# Use process affinity mask, 0 - disabled, 1 - enabled
UseAffinityMask=0

# Set process affinity mask (space-delimited list) - e.g. '0 1 2 3' process runs only on first 4 cores
AffinityMask=0 1

#

# 0 - Compatibility mode disabled
# 1 - Windows 95
# 2 - Windows 98
# 3 - Windows NT 4.0 SP5
# 4 - Windows 2000
# 5 - Windows XP SP2
# 6 - Windows XP SP3
# 7 - Server 2003 SP1
# 8 - Server 2008 SP1
# 9 - Vista
# 10 - Vista SP1
# 11 - Vista SP2
# 12 - Windows 7
# 13 - Windows 8
OSCompatMode=0

# Use 1 to disable visual themes
CompatDisableVisualThemes=0

# Use 1 to disable desktop composition
CompatDisableDesktopComp=0

# Use 1 to run in 640 x 480 resolution
Compat640480=0

# Use 1 to disable full screen optimizations
CompatDisableFullScreenOpt=0

# 0 - Reduced colors disabled
# 1 - 8-bit, 256 colors
# 2 - 16-bit, 65536 colors
CompatColors=0

# 0 - High DPI scaling override disabled
# 1 - Application
# 2 - System
# 3 - System Enhanced
CompatHighDPI=0

# 1 - Use current system environment variables without any change
# 2 - Merge the following environment variables with the system variables
# 3 - Use only the following environment variables (ignore the system variables)
EnvironmentVariablesMode=1

# Advanced Run window position - only for AutoRun 0
WinPos=2C 00 00 00 00 00 00 00 01 00 00 00 FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF D5 03 00 00 4B 04 00 00 A2 08 00 00 FC 07 00 00

[EnvironmentVariables]

# Advanced Run window position - only for AutoRun 0
WinPos=2C 00 00 00 00 00 00 00 01 00 00 00 FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF 78 03 00 00 FC 02 00 00 45 08 00 00 AD 06 00 00

# Number of environment variables to merge - only for EnvironmentVariablesMode 2, 3
Lines=0

# Merge the following environment variables, one by one on each line
Line1=
Line2=
Line3=
Line4=
Line5=
Line6=
Line7=
Line8=
Line9=
